Qt5 support in new addons

I’m developing a new addon.
Does it make sense to support Qt5?
How many users use Anki Qt5 comparing to Qt6?
When will Anki Qt5 be deprecated?

Thanks!

1 Like

Depending on the add-on’s complexity, it can be pretty easy to support both versions. Importing Qt stuff from aqt.qt instead of Qt5/Qt6 goes a long way.

My guess is around 5%.

5 Likes

I don’t have data on hand, but I would have thought we’re still on more than 5% of users using Qt5. Aside from the add-ons that haven’t been updated yet, there are also users stuck on older OS versions.

2 Likes